Update notification settings for the org
curl --request PATCH \
--url https://api.example.com/api/v1/org/notifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.example.com/api/v1/org/notifications"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.example.com/api/v1/org/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}organization
Update notification settings for the org
Update notification settings for the org.
Body: {"webhook_url": "https://...", "events": ["manifest.changed", ...]}
PATCH
/
api
/
v1
/
org
/
notifications
Update notification settings for the org
Authorizations
Enter your API key (e.g. dai_sk_test_key_001)
Headers
Cookies
Body
application/json
The body is of type Body · object.
Response
Successful Response
The response is of type Response Update Notification Settings Api V1 Org Notifications Patch · object.
Get notification settings for the orgGet recent traces with LLM call messages for playground testing
⌘I